6.0.0-git
2019-03-20

[#10723] window sizes should be stored per device, not per Horde user account
Summary window sizes should be stored per device, not per Horde user account
Queue IMP
Queue Version Git master
Type Enhancement
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester vilius (at) lnk (dot) lt
Created 2011-11-08 (2689 days ago)
Due
Updated 2012-08-29 (2394 days ago)
Assigned
Resolved 2011-11-16 (2681 days ago)
Milestone 5.1
Patch No

History
2012-08-29 12:25:25 Git Commit Comment #4 Reply to this comment
Changes have been made in Git (master):

commit 34b7e238d81c472a6801dbffca82903b55d05755
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Wed Nov 16 01:26:15 2011 -0700

     Bug #10723: Forgot to resolve this TODO before committing

  imp/js/dimpbase.js             |    5 ++++-
  imp/lib/Ajax/Application.php   |    1 +
  imp/lib/Views/ListMessages.php |   11 ++++++-----
  3 files changed, 11 insertions(+), 6 deletions(-)

http://git.horde.org/horde-git/-/commit/34b7e238d81c472a6801dbffca82903b55d05755
2012-08-29 12:25:20 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (master):

commit 15c75c5c9ecdfa3ddd54d2c770e0781ed6be5bad
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Wed Nov 16 01:08:29 2011 -0700

     [mms] Browser-specific UI elements in dynamic view now saved in 
browser storage (Ticket #10723).

     Size of sidebar now saved in dynamic view

  imp/config/prefs.php                   |   21 --
  imp/docs/CHANGES                       |    4 +
  imp/docs/UPGRADING                     |   17 ++
  imp/index-dimp.php                     |    7 +-
  imp/js/dimpbase.js                     |  117 ++++++---
  imp/js/jstorage.js                     |  425 
++++++++++++++++++++++++++++++++
  imp/lib/Views/ListMessages.php         |    2 +-
  imp/package.xml                        |    5 +-
  imp/templates/dimp/javascript_defs.php |    7 +-
  9 files changed, 537 insertions(+), 68 deletions(-)

http://git.horde.org/horde-git/-/commit/15c75c5c9ecdfa3ddd54d2c770e0781ed6be5bad
2011-11-16 08:16:26 Michael Slusarz Comment #2
Assigned to Michael Slusarz
State ⇒ Resolved
Milestone ⇒ 5.1
Reply to this comment
This has been resolved for IMP 5.1:

http://git.horde.org/horde-git/-/commit/15c75c5c9ecdfa3ddd54d2c770e0781ed6be5bad

Dynamic UI elements are now stored in browser storage.
2011-11-08 18:27:27 vilius (at) lnk (dot) lt Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ window sizes should be stored per device, not per Horde user account
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
Message list, message preview and sidebar menu area sizes in Dynamic 
interface should be stored per device (probably in a cookie?). This is 
useful when accessing the same account from computers with very 
different screens. For example a workstation with 23" screen and a 
netbook with 13".

Saved Queries